Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
litespeed_wiki:php:lsapi-for-ubuntu-or-debian [2018/09/17 19:59]
Michael Alegre removed
litespeed_wiki:php:lsapi-for-ubuntu-or-debian [2018/09/17 20:00] (current)
Michael Alegre created
Line 1: Line 1:
-====== PHP LSAPI Ubuntu Dapper/Edgy debian package How-To (Archive Only) ====== +#REDIRECT archive:php:lsapi-for-ubuntu-or-debian
- +
-===== Preamble ===== +
- +
-Original AuthorStephen Leavitt +
-Updates by Martin Lathoud +
- +
-LSAPI is LiteSpeed'​s open-source API between external applications and LiteSpeed Web Server. This how-to is for compiling and installing PHP + LSAPI with Ubuntu ​php sources and create .deb debian style packages that can be used to install PHP+LSAPI on any compatible Ubuntu installation. +
- +
-Why would one want this? It looks more complicated than the straight-forward php lsapi compile wiki. +
- +
-  * You have many web application clones running Ubuntu. +
-  * When there is a new release of PHP-LSAPI or PHP, you just need to compile once, generate a package file, copy php-litespeed_XXX.deb file to all clones and safely update/​install the servers without having to worry about misc issues.  +
- +
- +
-===== Instructions ===== +
- +
-1) Make sure you have the latest package database +
- +
-<​code>​ +
-apt-get update  +
-</​code>​ +
- +
-2) Get some required packages +
- +
-<​code>​ +
-apt-get install dpkg-dev devscripts libsnmp-dev +
-apt-get build-dep php5 +
-</​code>​ +
- +
-3) Get the current php5 source from ubuntu and place in the current folder/​path +
- +
-<​code>​ +
-apt-get source php5  +
-</​code>​ +
- +
-4) Go into the source directory you just downloaded from above step +
- +
-<​code>​ +
-cd php5-5.1.6  +
-</​code>​ +
- +
-5) Download untar latest [[http://​www.litespeedtech.com/​products/​webserver/​lsapi/|PHP-LSAPI]] tarball in sapi/  +
- +
-<​code>​ +
-cd sapi; tar xfvz /​path/​to/​php-litespeed-2.3.tgz;​ cd .. +
-</​code>​ +
- +
-6) Download and Test whether patch applies cleanly  +
- +
-<​code>​ +
-wget http://​www.litespeedtech.com/​packages/​3rd-party/ubuntu-php5-litespeed.patch +
-patch --dry-run -p1 < ubuntu-php5-litespeed.patch +
-</​code>​ +
- +
-7) Apply patch if no error in above step +
- +
-<​code>​ +
-patch -p1 < ubuntu-php5-litespeed.patch +
-</​code>​  +
- +
-8) Build php5 packages however desired +
- +
-<​code>​ +
-dpkg-buildpackage +
-</​code>​ +
- +
-Go get a cup of joe while everything compiles. +
- +
-9) A php5-litespeed_xxx.deb file will be created, as with other generated .deb files, in the path above current. +
- +
-<​code>​ +
-cd .. +
-</​code>​ +
- +
-10) Install the php5-litespeed package: +
- +
-<​code>​ +
-dpkg -i php5-litespeed_xxx.deb ​  +
-</​code>​ +
- +
-To list the content of package: +
- +
-<​code>​ +
-dpkg -L php5-litespeed_xxx.deb ​  +
-</​code>​ +
- +
-You can change from php4 to php5 by simply editing the command path to /​usr/​lib/​cgi-bin/​php5-litespeed in phpLsapi External App  +
- +
-===== Final Notes: ===== +
- +
-Litespeed php5 binary is by default installed to /​usr/​lib/​cgi-bin/​php5-litespeed +
- +
-Litespeed php5 php.ini is by default installed to /​etc/​php5/​litespeed/​php.ini ​+
  • Admin
  • Last modified: 2018/09/17 20:00
  • by Michael Alegre